<cffunction name="onError" output="true">
   <cfargument name="exception" required="true"/>
   <cfargument name="eventName" required="true"/>
      <cfif arguments.Exception.RootCause.Type IS "coldfusion.runtime.AbortException">
         <cfreturn />
      </cfif>
      <cfif trim(arguments.eventName) IS "onSessionEnd">
         <cfreturn />
      </cfif>
      <cflog file="#this.name#" type="error" text="Event name: #arguments.eventName#"/>
      <cflog file="#this.name#" type="error" text="Message: #arguments.exception.message#"/>
      <cfif trim(arguments.eventName) IS "onApplicationEnd">
         <cflog file="#this.name#" type="Information" text="Application #this.name# ended."/>
         <cfreturn />
      </cfif>
      <cfif isDebugMode() IS true>
         <cfoutput>
            <h2>An unexpected error has occurred.</h2>
            <p>Error event: #arguments.eventName#</p>
            <p>Error details:</p>
            <cfdump var="#arguments.exception#"/>
         </cfoutput>
      <cfelse>
         <cfinclude template="/errortemplate.htm"/>
      </cfif>
</cffunction>