<cfcomponent output="false">

	<cffunction name="execute" access="public" output="false" returntype="boolean">
		<cfargument name="attributes" required="true"/>
		<cfset var local = structNew() />
		<cfset local.customerGateway = createObject("component","model.customerGateway") />
		<cfif structKeyExists( client, "customerID" ) AND val( client.customerID ) GT 0>
			<cfif val( arguments.customerGW.getByID( val(client.customerID ) ).getChallengeQuestionID() ) GT 0>
				<cfset local.result = "true" />
			</cfif>
		<cfelseif structKeyExists( arguments.attributes, "regChallengeAnswer") 
					AND structKeyExists( arguments.attributes, "regChallengeQuestionID") >
			<cfif structKeyExists( arguments.attributes, "regChallengeQuestionID") 
					AND val( attributes.regChallengeQuestionID ) GT 0>
				<cfif structKeyExists( arguments.attributes, "regChallengeAnswer") 
						AND len( trim( attributes.regChallengeAnswer ) ) GT 0>
					
					<cfset local.cust =  arguments.customerGW.getById( client.customerID ) /> />
					<cfset local.cust.setChallengeQuestionID( attributes.regChallengeQuestionID ) />
					<cfset local.cust.setChallengeAnswer( attributes.regChallengeAnswer ) />
					<cfset arguments.customerGW.save( cust ) />
					<cfset local.result = "true" />
				<cfelse>
					<cfset local.result = "false" />
					<cfset attributes.userMessage= "Please select a security question and provide an answer." />
				</cfif>
			</cfif>
		<cfelse>	
			<cfset local.result = "false" />
		</cfif>		
		<cfreturn local.result />
	</cffunction>

	
</cfcomponent>